Skip to content

Fetch session details

Request

Returns session details for the specified session ID.

Security
AdministrationAccess or ClientAccess
Path
sessionIdstring, (uuid)required

UUID of the session to fetch.

Headers
x-instance-idstring

UUID of the instance the session is linked to. Required by requests that use a ClientAccess token.

curl -i -X GET \
  'https://siteID.flexnetoperations.com/dynamicmonetization/api/v1.1/sessions/{sessionId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-instance-id: string'

Responses

OK. The request succeeded.

Bodyapplication/json
sessionIdstring, (uuid)

UUID of the session.

instanceIdstring, (uuid)

UUID of the instance linked to this session.

statestring

Current state of this session.

Enum:"IDLE""ACTIVE""TERMINATED""FAILED"
itemsArray of objects, unique(SessionItem)

The items in this session.

Response
{ "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459", "instanceId": "64d2028c-ae87-4069-a624-66089d957ef9", "state": "IDLE", "items": [ { … } ] }